Bug 1265992 - Review Request: qpid-jms - AMQP Java Message Service Framework
Review Request: qpid-jms - AMQP Java Message Service Framework
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michal Ambroz
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 998251
  Show dependency treegraph
 
Reported: 2015-09-24 05:17 EDT by gil cattaneo
Modified: 2015-10-21 11:45 EDT (History)
2 users (show)

See Also:
Fixed In Version: qpid-jms-0.6.0-2.fc24
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-21 11:45:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rebus: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description gil cattaneo 2015-09-24 05:17:58 EDT
Spec URL: https://gil.fedorapeople.org/qpid-jms.spec
SRPM URL: https://gil.fedorapeople.org/qpid-jms-0.5.0-1.fc22.src.rpm
Description:
The QpidJMS project provides a JMS based client that uses the
Advanced Message Queuing Protocol (AMQP) v1.0 protocol.
Fedora Account System Username: gil

Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=11208273
Comment 1 gil cattaneo 2015-10-18 02:36:46 EDT
Spec URL: https://gil.fedorapeople.org/qpid-jms.spec
SRPM URL: https://gil.fedorapeople.org/qpid-jms-0.6.0-1.fc22.src.rpm

- update to 0.6.0
Comment 2 Upstream Release Monitoring 2015-10-18 02:39:13 EDT
gil's scratch build of qpid-jms-0.6.0-1.fc22.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=11493248
Comment 3 Michal Ambroz 2015-10-19 20:57:55 EDT
Hello,
the only thing I am not sure are the dependencies between the package and sub-packages. I would assume that the qpid-jms-examples-0.6.0-1.fc24.noarch.rpm would require qpid-jms-0.6.0-1.fc24.noarch.rpm and possibly qpid-jms-client-0.6.0-1.fc24.noarch.rpm in order to be usefull.
Please can you check / explain?

Thank you


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- This seems like a Java package, please install fedora-review-plugin-java
  to get additional checks


===== MUST items =====

Generic:
[X]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
	- Apache Software License
[X]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "*No copyright* Apache (v2.0)". 83
     files have unknown license. Detailed output of licensecheck in
     1265992-qpid-jms/licensecheck.txt
	- automatic check was failing to recognize all files are ASL licensed

[X]: License file installed when any subpackage combination is installed.
	- License file is in all sub-packages

[X]: Package contains no bundled libraries without FPC exception.
[X]: Changelog in prescribed format.
[X]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[X]: Package uses nothing in %doc for runtime.
[X]: Package consistently uses macros (instead of hard-coded directory
     names).
[X]: Package is named according to the Package Naming Guidelines.
[X]: Package does not generate any conflict.
[X]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[X]: Requires correct, justified where necessary.
[X]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[X]: Package is not known to require an ExcludeArch tag.
[X]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 51200 bytes in 3 files.
	-separate javadoc sub-package
[X]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Java:
[x]: Bundled jar/class files should be removed before build

===== SHOULD items =====

Generic:
[!]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
     Note: Found : Packager: Michal Ambroz <rebus at, seznam.cz>
     See: http://fedoraproject.org/wiki/Packaging:Guidelines#Tags
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[-]: Final provides and requires are sane (see attachments).
[?]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in qpid-
     jms-client , qpid-jms-discovery , qpid-jms-examples , qpid-jms-javadoc
[X]: Package functions as described.
[X]: Latest version is packaged.
[X]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[X]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[X]: Packages should try to preserve timestamps of original installed
     files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: qpid-jms-0.6.0-1.fc24.noarch.rpm
          qpid-jms-client-0.6.0-1.fc24.noarch.rpm
          qpid-jms-discovery-0.6.0-1.fc24.noarch.rpm
          qpid-jms-examples-0.6.0-1.fc24.noarch.rpm
          qpid-jms-javadoc-0.6.0-1.fc24.noarch.rpm
          qpid-jms-0.6.0-1.fc24.src.rpm
qpid-jms-discovery.noarch: W: no-documentation
6 packages and 0 specfiles checked; 0 errors, 1 warnings.




Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
qpid-jms-discovery.noarch: W: no-documentation
5 packages and 0 specfiles checked; 0 errors, 1 warnings.



Requires
--------
qpid-jms (rpmlib, GLIBC filtered):
    java-headless
    jpackage-utils
    mvn(org.apache.maven.plugins:maven-compiler-plugin)
    mvn(org.apache.rat:apache-rat-plugin)
    mvn(org.apache:apache:pom:)

qpid-jms-client (rpmlib, GLIBC filtered):
    java-headless
    jpackage-utils
    mvn(io.netty:netty-all)
    mvn(org.apache.geronimo.specs:geronimo-jms_1.1_spec)
    mvn(org.apache.qpid:proton-j)
    mvn(org.slf4j:slf4j-api)

qpid-jms-examples (rpmlib, GLIBC filtered):
    java-headless
    jpackage-utils
    mvn(org.apache.qpid:qpid-jms-client)
    mvn(org.slf4j:slf4j-log4j12)

qpid-jms-discovery (rpmlib, GLIBC filtered):
    java-headless
    jpackage-utils
    mvn(org.apache.qpid:qpid-jms-client)
    mvn(org.slf4j:slf4j-api)

qpid-jms-javadoc (rpmlib, GLIBC filtered):
    jpackage-utils



Provides
--------
qpid-jms:
    mvn(org.apache.qpid:qpid-jms-parent:pom:)
    qpid-jms

qpid-jms-client:
    mvn(org.apache.qpid:qpid-jms-client)
    mvn(org.apache.qpid:qpid-jms-client:pom:)
    qpid-jms-client

qpid-jms-examples:
    mvn(org.apache.qpid:qpid-jms-examples)
    mvn(org.apache.qpid:qpid-jms-examples:pom:)
    qpid-jms-examples

qpid-jms-discovery:
    mvn(org.apache.qpid:qpid-jms-discovery)
    mvn(org.apache.qpid:qpid-jms-discovery:pom:)
    qpid-jms-discovery

qpid-jms-javadoc:
    qpid-jms-javadoc



Source checksums
----------------
http://www.apache.org/dist/qpid/jms/0.6.0/apache-qpid-jms-0.6.0-src.tar.gz :
  CHECKSUM(SHA256) this package     : 6a588bfc23257e28d4fcacd52c896973552e689a3529302a1ec52e762648b63c
  CHECKSUM(SHA256) upstream package : 6a588bfc23257e28d4fcacd52c896973552e689a3529302a1ec52e762648b63c


Generated by fedora-review 0.5.3 (bcf15e3) last change: 2015-05-04
Command line :/usr/bin/fedora-review -b 1265992 --mock-config fedora-rawhide-x86_64 --cache
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, Java
Disabled plugins: C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 4 gil cattaneo 2015-10-20 05:05:25 EDT
(In reply to Michal Ambroz from comment #3)
> Hello,
> the only thing I am not sure are the dependencies between the package and
> sub-packages. I would assume that the
> qpid-jms-examples-0.6.0-1.fc24.noarch.rpm would require
> qpid-jms-0.6.0-1.fc24.noarch.rpm and possibly
> qpid-jms-client-0.6.0-1.fc24.noarch.rpm in order to be usefull.
> Please can you check / explain?
> 
> Thank you

Thanks to you!
Requirement list are generate by our Java tools:
as you can see below qpid-jms-examples require only qpid-jms-client. Maybe
qpid-jms sub package should be renamed qpid-jms-parent ...?
e.g.

- %files -f .mfiles-%{name}-parent
- %doc README.md
- %license LICENSE NOTICE
- 
%files client -f .mfiles-%{name}-client
- %doc %{name}-docs/Configuration.md
+ %doc README.md %{name}-docs/Configuration.md
%license LICENSE NOTICE

%files examples -f .mfiles-%{name}-examples
%doc %{name}-examples/README.txt
%license LICENSE NOTICE

+ %files parent -f .mfiles-%{name}-parent
+ %license LICENSE NOTICE

> Requires
> --------
> qpid-jms (rpmlib, GLIBC filtered):
>     java-headless
>     jpackage-utils
>     mvn(org.apache.maven.plugins:maven-compiler-plugin)
>     mvn(org.apache.rat:apache-rat-plugin)
>     mvn(org.apache:apache:pom:)
> 
> qpid-jms-client (rpmlib, GLIBC filtered):
>     java-headless
>     jpackage-utils
>     mvn(io.netty:netty-all)
>     mvn(org.apache.geronimo.specs:geronimo-jms_1.1_spec)
>     mvn(org.apache.qpid:proton-j)
>     mvn(org.slf4j:slf4j-api)
> 
> qpid-jms-examples (rpmlib, GLIBC filtered):
>     java-headless
>     jpackage-utils
>     mvn(org.apache.qpid:qpid-jms-client)
>     mvn(org.slf4j:slf4j-log4j12)
> 
> qpid-jms-discovery (rpmlib, GLIBC filtered):
>     java-headless
>     jpackage-utils
>     mvn(org.apache.qpid:qpid-jms-client)
>     mvn(org.slf4j:slf4j-api)

> Provides
> --------
> qpid-jms:
>     mvn(org.apache.qpid:qpid-jms-parent:pom:)
>     qpid-jms
> 
> qpid-jms-client:
>     mvn(org.apache.qpid:qpid-jms-client)
>     mvn(org.apache.qpid:qpid-jms-client:pom:)
>     qpid-jms-client
> 
> qpid-jms-examples:
>     mvn(org.apache.qpid:qpid-jms-examples)
>     mvn(org.apache.qpid:qpid-jms-examples:pom:)
>     qpid-jms-examples
> 
> qpid-jms-discovery:
>     mvn(org.apache.qpid:qpid-jms-discovery)
>     mvn(org.apache.qpid:qpid-jms-discovery:pom:)
>     qpid-jms-discovery


> 
> Package Review
> ==============

> ===== SHOULD items =====
> 
> Generic:
> [!]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
>      Note: Found : Packager: Michal Ambroz <rebus at, seznam.cz>
>      See: http://fedoraproject.org/wiki/Packaging:Guidelines#Tags
i do not understand what is this ...


> [?]: Fully versioned dependency in subpackages if applicable.
>      Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in qpid-
>      jms-client , qpid-jms-discovery , qpid-jms-examples , qpid-jms-javadoc
NOT needed for a noarch package

> [-]: %check is present and all tests pass.
Missing dependecies, is not possible run test suite/s
Comment 5 gil cattaneo 2015-10-20 05:51:53 EDT
Spec URL: https://gil.fedorapeople.org/qpid-jms.spec
SRPM URL: https://gil.fedorapeople.org/qpid-jms-0.6.0-2.fc22.src.rpm

- run qpid-jms-client test suite only
- moved parent pom in its sub package
Comment 6 Upstream Release Monitoring 2015-10-20 05:55:32 EDT
gil's scratch build of qpid-jms-0.6.0-2.fc22.src.rpm for rawhide failed http://koji.fedoraproject.org/koji/taskinfo?taskID=11512990
Comment 7 Upstream Release Monitoring 2015-10-20 06:03:10 EDT
gil's scratch build of qpid-jms-0.6.0-2.fc22.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=11513056
Comment 8 Michal Ambroz 2015-10-20 20:44:26 EDT
>> [!]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
>i do not understand what is this ...
Please ignore - I forgot to delete that one. It is from my mockbuild

>Maybe qpid-jms sub package should be renamed qpid-jms-parent ...?
Maybe. I leave this on your preference. 
There is nothing about that in https://fedoraproject.org/wiki/Packaging:Java.
Checking the yum repository, the majority of the packages containing the parent.xml is indeed named as "%{name}-parent", however there are packages like apacheds, hibernate or guice-extensions, which do not follow this naming.

yum provides '/usr/share/maven-metadata/*-parent.xml'

From my side - review complete.
Comment 9 gil cattaneo 2015-10-20 21:14:51 EDT
Thanks!
Request for new package https://admin.fedoraproject.org/pkgdb/package/requests/1030
Comment 10 gil cattaneo 2015-10-21 11:45:18 EDT
Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=11535247

Note You need to log in before you can comment on or make changes to this bug.